Name: mysqlclient9
Version: 3.23.22
Release: 3
Source0: http://www.mysql.com/Downloads/MySQL-3.23/mysql-%{version}-beta.tar.gz
URL: http://www.mysql.com
BuildRoot: %{_tmppath}/mysql-%{version}-root
Summary: MySQL client program and shared library
Patch0: mysql-3.23.27-sparc.patch
License: GPL/LGPL
Group: Applications/Databases
Prereq: /sbin/ldconfig, /sbin/install-info, grep
ExcludeArch: ia64

%description
This is package containing the version of the MySQL client library as shipped
with Red Hat Linux 7, for use with applications linked against it.


%prep
%setup -q -n mysql-%{version}-beta
%patch0 -p1 

%build

%configure --without-debug \
	--without-readline \
	--enable-shared \
	--with-extra-charsets=all \
	--without-bench \
	--localstatedir=/var/lib/mysql \
	--with-unix-socket-path=/var/lib/mysql/mysql.sock \
	--enable-assembler=no \
	--with-mysqld-user="mysql"

#	--with-mysqld-ldflags=-all-static 

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig /usr/lib/mysql

%postun
if [ $1 = 0 ] ; then
    /sbin/ldconfig /usr/lib/mysql
fi

%files
%defattr(-,root,root)
/usr/lib/mysql/libmysqlclient.so.*

%changelog
* Tue Dec 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild for errata

* Tue Nov 14 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add Jakub's patch for bad SPARC assembly (the affected part isn't
  in this package, but it caused it not to build)

* Tue Oct 31 2000 Trond Eivind Glomsrd <teg@redhat.com>
- First package - originated from the mysql package: remove
  all other files and install/uninstall procedures and change
  description 

